Runtime

## org.eclipse.gmf.runtime.draw2d.ui.figures
Interface OrthogonalConnectionAnchor

All Superinterfaces:
  ConnectionAnchor

All Known Implementing Classes:
  BaseSlidableAnchor, SlidableAnchor, SlidableImageAnchor, SlidableOvalAnchor

    public interface OrthogonalConnectionAnchor

extends ConnectionAnchor

The interface allows to specify connection anchor location for a connection routed with Orthogonal connection routers. IMPORTANT: this interface is not to be implemented by clients, since this is an API under construction

Method Summary
`Point` `getOrthogonalLocation(Point orthoReference)` Determines connection anchor point for Orthogonal connection.

Methods inherited from interface org.eclipse.draw2d.ConnectionAnchor
`addAnchorListener, getLocation, getOwner, getReferencePoint, removeAnchorListener`

Method Detail

### getOrthogonalLocation

    Point getOrthogonalLocation(Point orthoReference)

  Determines connection anchor point for Orthogonal connection. Generally, the anchor point would the intersection of perpendicular line drawn from the `orthoReference` point to the shape and shape's edge.

  Parameters:
    `orthoReference` - the reference point
  Returns:
    The location of the orthogonal connection anchor.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.